%define upstream_name    Error-Base
%define upstream_version v1.0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Examples of Error::Base usage
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Error/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(overload)
BuildRequires: perl(version) >= 0.990.0
BuildArch:  noarch

%description
    _J'avais cru plus difficile de mourir._ -- Louis XIV

Die early, die often. Make frequent sanity checks and die when a check
fails. See neat dumps of the caller stack with each error. Construct a
group of error messages in one object or write error text _ad hoc_. Trap an
error object and examine the contents; or let it tell its sad tale and end
it.

Error::Base usage can be simple or complex. For quick sanity checks,
construct and throw a simple fatal error in one line. At the other extreme,
you can override methods in your own error subclasses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build


%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.0.2-8pclos2017
- rebuild against updates

